Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.tokens
Class LatinEncoding

    java.lang.Object
      org.pdfclown.tokens.Encoding
          org.pdfclown.tokens.LatinEncoding

Direct Known Subclasses:
  PdfDocEncoding

    public abstract class LatinEncoding

extends Encoding

Adobe standard Latin character set [PDF:1.7:D].

Since:
  0.1.2
Version:
  0.1.2, 02/20/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`protected BiMap<Integer,Character>` | `chars` Code-to-Unicode map.

Fields inherited from class org.pdfclown.tokens.Encoding
`Pdf`

Constructor Summary
`LatinEncoding()`

Method Summary
`String` | `decode(byte[] value)`
`String` | `decode(byte[] value, int index, int length)`
`byte[]` | `encode(String value)`

Methods inherited from class org.pdfclown.tokens.Encoding
`encode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chars

    protected BiMap<Integer,Character> chars

  Code-to-Unicode map.

Constructor Detail

### LatinEncoding

    public LatinEncoding()

Method Detail

### decode

    public String decode(byte[] value)

  Specified by:
    `decode` in class `Encoding`

### decode

    public String decode(byte[] value,
                         int index,
                         int length)

  Specified by:
    `decode` in class `Encoding`

### encode

    public byte[] encode(String value)

  Specified by:
    `encode` in class `Encoding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.